diff --git a/SHADE_Engine/src/Physics/Components/SHRigidBodyComponent.cpp b/SHADE_Engine/src/Physics/Components/SHRigidBodyComponent.cpp
index e5938717..b0172f64 100644
--- a/SHADE_Engine/src/Physics/Components/SHRigidBodyComponent.cpp
+++ b/SHADE_Engine/src/Physics/Components/SHRigidBodyComponent.cpp
@@ -28,11 +28,10 @@ namespace SHADE
   , flags       { 0 }
   , dirtyFlags  { 0 }
   , interpolate { true }
-  , system      { nullptr }
+  , rp3dBody    { nullptr }
   , mass        { 1.0f }
   , drag        { 0.01f }
   , angularDrag { 0.01f }
-  
   {
     // Set default flags: Gravity & Sleeping enabled
     flags |= 1U << 0;
@@ -161,7 +160,13 @@ namespace SHADE
 
   void SHRigidBodyComponent::SetGravityEnabled(bool enableGravity) noexcept
   {
-    constexpr int FLAG_POS = 0;
+    static constexpr int FLAG_POS = 0;
+
+    if (type != Type::DYNAMIC)
+    {
+      SHLOG_WARNING("Cannot enable gravity of a non-dynamic object {}", GetEID())
+      return;
+    }
 
     dirtyFlags |= 1U << FLAG_POS;
     enableGravity ? flags |= (1U << FLAG_POS) : flags &= ~(1U << FLAG_POS);
@@ -169,7 +174,13 @@ namespace SHADE
 
   void SHRigidBodyComponent::SetIsAllowedToSleep(bool isAllowedToSleep) noexcept
   {
-    constexpr int FLAG_POS = 1;
+    static constexpr int FLAG_POS = 1;
+
+    if (type != Type::DYNAMIC)
+    {
+      SHLOG_WARNING("Cannot enable sleeping of a non-dynamic object {}", GetEID())
+      return;
+    }
 
     dirtyFlags |= 1U << 1;
     isAllowedToSleep ? flags |= (1U << FLAG_POS) : flags &= ~(1U << FLAG_POS);
@@ -177,7 +188,13 @@ namespace SHADE
 
   void SHRigidBodyComponent::SetFreezePositionX(bool freezePositionX) noexcept
   {
-    constexpr int FLAG_POS = 2;
+    static constexpr int FLAG_POS = 2;
+
+    if (type == Type::STATIC)
+    {
+      SHLOG_WARNING("Cannot set linear constraints of a static object {}", GetEID())
+      return;
+    }
 
     dirtyFlags |= 1U << 2;
     freezePositionX ? flags |= (1U << FLAG_POS) : flags &= ~(1U << FLAG_POS);
@@ -185,7 +202,13 @@ namespace SHADE
 
   void SHRigidBodyComponent::SetFreezePositionY(bool freezePositionY) noexcept
   {
-    constexpr int FLAG_POS = 3;
+    static constexpr int FLAG_POS = 3;
+
+    if (type == Type::STATIC)
+    {
+      SHLOG_WARNING("Cannot set linear constraints of a static object {}", GetEID())
+      return;
+    }
 
     dirtyFlags |= 1U << 2;
     freezePositionY ? flags |= (1U << FLAG_POS) : flags &= ~(1U << FLAG_POS);
@@ -193,7 +216,13 @@ namespace SHADE
 
   void SHRigidBodyComponent::SetFreezePositionZ(bool freezePositionZ) noexcept
   {
-    constexpr int FLAG_POS = 4;
+    static constexpr int FLAG_POS = 4;
+
+    if (type == Type::STATIC)
+    {
+      SHLOG_WARNING("Cannot set linear constraints of a static object {}", GetEID())
+      return;
+    }
 
     dirtyFlags |= 1U << 2;
     freezePositionZ ? flags |= (1U << FLAG_POS) : flags &= ~(1U << FLAG_POS);
@@ -201,7 +230,13 @@ namespace SHADE
 
   void SHRigidBodyComponent::SetFreezeRotationX(bool freezeRotationX) noexcept
   {
-    constexpr int FLAG_POS = 5;
+    static constexpr int FLAG_POS = 5;
+
+    if (type == Type::STATIC)
+    {
+      SHLOG_WARNING("Cannot set angular constraints of a static object {}", GetEID())
+      return;
+    }
 
     dirtyFlags |= 1U << 3;
     freezeRotationX ? flags |= (1U << FLAG_POS) : flags &= ~(1U << FLAG_POS);
@@ -209,7 +244,13 @@ namespace SHADE
 
   void SHRigidBodyComponent::SetFreezeRotationY(bool freezeRotationY) noexcept
   {
-    constexpr int FLAG_POS = 6;
+    static constexpr int FLAG_POS = 6;
+
+    if (type == Type::STATIC)
+    {
+      SHLOG_WARNING("Cannot set angular constraints of a static object {}", GetEID())
+      return;
+    }
 
     dirtyFlags |= 1U << 3;
     freezeRotationY ? flags |= (1U << FLAG_POS) : flags &= ~(1U << FLAG_POS);
@@ -217,7 +258,13 @@ namespace SHADE
 
   void SHRigidBodyComponent::SetFreezeRotationZ(bool freezeRotationZ) noexcept
   {
-    constexpr int FLAG_POS = 7;
+    static constexpr int FLAG_POS = 7;
+
+    if (type == Type::STATIC)
+    {
+      SHLOG_WARNING("Cannot set angular constraints of a static object {}", GetEID())
+      return;
+    }
 
     dirtyFlags |= 1U << 3;
     freezeRotationZ ? flags |= (1U << FLAG_POS) : flags &= ~(1U << FLAG_POS);
@@ -230,30 +277,60 @@ namespace SHADE
 
   void SHRigidBodyComponent::SetMass(float newMass) noexcept
   {
+    if (type != Type::DYNAMIC)
+    {
+      SHLOG_WARNING("Cannot set mass of a non-dynamic object {}", GetEID())
+      return;
+    }
+
     dirtyFlags |=  1U << 5;
     mass = newMass;
   }
 
   void SHRigidBodyComponent::SetDrag(float newDrag) noexcept
   {
+    if (type != Type::DYNAMIC)
+    {
+      SHLOG_WARNING("Cannot set drag of a non-dynamic object {}", GetEID())
+      return;
+    }
+
     dirtyFlags |=  1U << 6;
     drag = newDrag;
   }
 
   void SHRigidBodyComponent::SetAngularDrag(float newAngularDrag) noexcept
   {
+    if (type != Type::DYNAMIC)
+    {
+      SHLOG_WARNING("Cannot set angular drag of a non-dynamic object {}", GetEID())
+      return;
+    }
+
     dirtyFlags |=  1U << 7;
     angularDrag = newAngularDrag;
   }
 
   void SHRigidBodyComponent::SetLinearVelocity(const SHVec3& newLinearVelocity) noexcept
   {
+    if (type == Type::STATIC)
+    {
+      SHLOG_WARNING("Cannot set linear velocity of a static object {}", GetEID())
+      return;
+    }
+
     dirtyFlags |= 1U << 8;
     linearVelocity = newLinearVelocity;
   }
 
   void SHRigidBodyComponent::SetAngularVelocity(const SHVec3& newAngularVelocity) noexcept
   {
+    if (type == Type::STATIC)
+    {
+      SHLOG_WARNING("Cannot set angular velocity of a static object {}", GetEID())
+      return;
+    }
+
     dirtyFlags |= 1U << 9;
     angularVelocity = newAngularVelocity;
   }
@@ -262,125 +339,92 @@ namespace SHADE
   /* Public Function Member Definitions                                                */
   /*-----------------------------------------------------------------------------------*/
 
-  void SHRigidBodyComponent::OnCreate()
-  {
-    system = SHSystemManager::GetSystem<SHPhysicsSystem>();
-    if (!system)
-    {
-      SHLOG_ERROR("Physics system does not exist, Rigid Body Component not added!")
-      return;
-    }
-
-    // Notify Physics System
-    system->AddRigidBody(GetEID());
-  }
-
-  void SHRigidBodyComponent::OnDestroy()
-  {
-    // Notify Physics System
-    if (!system)
-    {
-      SHLOG_ERROR("Physics system does not exist, unable to remove Rigid Body Component!")
-      return;
-    }
-
-    system->RemoveRigidBody(GetEID());
-  }
-
   void SHRigidBodyComponent::AddForce(const SHVec3& force) const noexcept
   {
-    if (!system)
+    if (rp3dBody == nullptr)
     {
-      SHLOG_ERROR("Physics system does not exist, unable to Add Force to a body!")
+      SHLOGV_ERROR("Entity {} is missing an rp3dBody!", GetEID())
       return;
     }
 
-    // Notify Physics Systems
-    system->AddForce(GetEID(), force);
+    rp3dBody->applyWorldForceAtCenterOfMass(force);
   }
 
   void SHRigidBodyComponent::AddForceAtLocalPos(const SHVec3& force, const SHVec3& localPos) const noexcept
   {
-    if (!system)
+    if (rp3dBody == nullptr)
     {
-      SHLOG_ERROR("Physics system does not exist, unable to Add Force to a body!")
+      SHLOGV_ERROR("Entity {} is missing an rp3dBody!", GetEID())
       return;
     }
 
-    // Notify Physics Systems
-    system->AddForceAtLocalPos(GetEID(), force, localPos);
+    rp3dBody->applyWorldForceAtLocalPosition(force, localPos);
   }
 
   void SHRigidBodyComponent::AddForceAtWorldPos(const SHVec3& force, const SHVec3& worldPos) const noexcept
   {
-    if (!system)
+    if (rp3dBody == nullptr)
     {
-      SHLOG_ERROR("Physics system does not exist, unable to Add Force to a body!")
+      SHLOGV_ERROR("Entity {} is missing an rp3dBody!", GetEID())
       return;
     }
 
-    // Notify Physics Systems
-    system->AddForceAtWorldPos(GetEID(), force, worldPos);
+    rp3dBody->applyWorldForceAtWorldPosition(force, worldPos);
   }
 
   void SHRigidBodyComponent::AddRelativeForce(const SHVec3& relativeForce) const noexcept
   {
-    if (!system)
+    if (rp3dBody == nullptr)
     {
-      SHLOG_ERROR("Physics system does not exist, unable to Add Force to a body!")
+      SHLOGV_ERROR("Entity {} is missing an rp3dBody!", GetEID())
       return;
     }
 
-    // Notify Physics Systems
-    system->AddRelativeForce(GetEID(), force);
+    rp3dBody->applyLocalForceAtCenterOfMass(relativeForce);
   }
 
   void SHRigidBodyComponent::AddRelativeForceAtLocalPos(const SHVec3& relativeForce, const SHVec3& localPos) const noexcept
   {
-    if (!system)
+    if (rp3dBody == nullptr)
     {
-      SHLOG_ERROR("Physics system does not exist, unable to Add Force to a body!")
+      SHLOGV_ERROR("Entity {} is missing an rp3dBody!", GetEID())
       return;
     }
 
-    // Notify Physics Systems
-    system->AddRelativeForceAtLocalPos(GetEID(), force, localPos);
+    rp3dBody->applyLocalForceAtLocalPosition(relativeForce, localPos);
   }
 
   void SHRigidBodyComponent::AddRelativeForceAtWorldPos(const SHVec3& relativeForce, const SHVec3& worldPos) const noexcept
   {
-    if (!system)
+    if (rp3dBody == nullptr)
     {
-      SHLOG_ERROR("Physics system does not exist, unable to Add Force to a body!")
+      SHLOGV_ERROR("Entity {} is missing an rp3dBody!", GetEID())
       return;
     }
 
-    // Notify Physics Systems
-    system->AddRelativeForceAtWorldPos(GetEID(), force, worldPos);
+    rp3dBody->applyLocalForceAtWorldPosition(relativeForce, worldPos);
   }
 
   void SHRigidBodyComponent::AddTorque(const SHVec3& torque) const noexcept
   {
-    if (!system)
+    if (rp3dBody == nullptr)
     {
-      SHLOG_ERROR("Physics system does not exist, unable to Add Force to a body!")
+      SHLOGV_ERROR("Entity {} is missing an rp3dBody!", GetEID())
       return;
     }
 
-    // Notify Physics Systems
-    system->AddTorque(GetEID(), torque);
+    rp3dBody->applyWorldTorque(torque);
   }
 
   void SHRigidBodyComponent::AddRelativeTorque(const SHVec3& relativeTorque) const noexcept
   {
-    if (!system)
+    if (rp3dBody == nullptr)
     {
-      SHLOG_ERROR("Physics system does not exist, unable to Add Force to a body!")
+      SHLOGV_ERROR("Entity {} is missing an rp3dBody!", GetEID())
       return;
     }
 
-    // Notify Physics Systems
-    system->AddRelativeTorque(GetEID(), relativeTorque);
+    rp3dBody->applyLocalTorque(relativeTorque);
   }
 
 } // namespace SHADE
diff --git a/SHADE_Engine/src/Physics/Components/SHRigidBodyComponent.h b/SHADE_Engine/src/Physics/Components/SHRigidBodyComponent.h
index 03b350e1..78de84e7 100644
--- a/SHADE_Engine/src/Physics/Components/SHRigidBodyComponent.h
+++ b/SHADE_Engine/src/Physics/Components/SHRigidBodyComponent.h
@@ -10,6 +10,7 @@
 
 #pragma once
 
+#include <reactphysics3d/reactphysics3d.h>
 #include <rttr/registration>
 
 // Project Headers
@@ -125,9 +126,6 @@ namespace SHADE
     /* Function Members                                                                */
     /*---------------------------------------------------------------------------------*/
 
-    void  OnCreate                    ()                                                    override;
-    void  OnDestroy                   ()                                                    override;
-
     void  AddForce                    (const SHVec3& force)                                 const noexcept;
     void  AddForceAtLocalPos          (const SHVec3& force, const SHVec3& localPos)         const noexcept;
     void  AddForceAtWorldPos          (const SHVec3& force, const SHVec3& worldPos)         const noexcept;
@@ -155,7 +153,7 @@ namespace SHADE
     uint16_t          dirtyFlags;
     bool              interpolate;
 
-    SHPhysicsSystem*  system;
+    rp3d::RigidBody*  rp3dBody;
 
     float             mass;
     float             drag;
@@ -167,8 +165,6 @@ namespace SHADE
     SHVec3            torque;
     SHVec3            angularVelocity;
 
-    // TODO(Diren): Once quaternions have replaced euler angles in transforms, store it for the rigidbody.
-
     SHVec3            position;
     SHQuaternion      orientation;
 
diff --git a/SHADE_Engine/src/Physics/SHPhysicsObject.cpp b/SHADE_Engine/src/Physics/SHPhysicsObject.cpp
index 36f7c57e..986ce503 100644
--- a/SHADE_Engine/src/Physics/SHPhysicsObject.cpp
+++ b/SHADE_Engine/src/Physics/SHPhysicsObject.cpp
@@ -26,8 +26,6 @@ namespace SHADE
 
   SHPhysicsObject::SHPhysicsObject(EntityID eid, rp3d::PhysicsCommon* physicsFactory, rp3d::PhysicsWorld* physicsWorld) noexcept
   : entityID    { eid }
-  , isRigidBody { false }
-  , hasColliders{ false }
   , factory     { physicsFactory }
   , world       { physicsWorld }
   , rp3dBody    { nullptr }
@@ -130,42 +128,6 @@ namespace SHADE
   /* Public Function Member Definitions                                                */
   /*-----------------------------------------------------------------------------------*/
 
-  void SHPhysicsObject::CreateRigidBody(const SHTransformComponent* tf, SHRigidBodyComponent* rb, SHColliderComponent* c)
-  {
-    // If collider already exists, recreate the collision body as a rigid body
-    if (hasColliders)
-      world->destroyCollisionBody(rp3dBody);
-
-    rp3dBody     = world->createRigidBody(rp3d::Transform{ tf->GetWorldPosition(), tf->GetWorldRotation() });
-    isRigidBody  = true;
-
-    rb->position    = tf->GetWorldPosition();
-    rb->orientation = tf->GetWorldRotation();
-
-    if (hasColliders)
-    {
-      c->position    = tf->GetWorldPosition();
-      c->orientation = tf->GetWorldRotation();
-      // Get array of colliders and add them back into the rigidbody
-      for (auto& collider : c->colliders | std::views::keys)
-        AddCollider(&collider);
-    }
-  }
-
-  void SHPhysicsObject::CreateCollisionBody(const SHTransformComponent* tf, SHColliderComponent* c)
-  {
-    if (rp3dBody == nullptr)
-      rp3dBody = world->createCollisionBody(rp3d::Transform{ tf->GetWorldPosition(), tf->GetWorldRotation() });
-
-    hasColliders = true;
-
-    c->position    = tf->GetWorldPosition();
-    c->orientation = tf->GetWorldRotation();
-
-    for (auto& collider : c->colliders | std::views::keys)
-      AddCollider(&collider);
-  }
-
   int SHPhysicsObject::AddCollider(SHCollider* collider)
   {
     switch (collider->GetType())
@@ -193,31 +155,6 @@ namespace SHADE
     return static_cast<int>(rp3dBody->getNbColliders()) - 1;
   }
 
-  void SHPhysicsObject::DestroyRigidBody(SHColliderComponent* c) noexcept
-  {
-    world->destroyRigidBody(reinterpret_cast<rp3d::RigidBody*>(rp3dBody));
-
-    if (hasColliders)
-    {
-      // Preserve colliders as a collision body
-      rp3dBody = world->createCollisionBody(rp3d::Transform{ c->position, c->orientation });
-      for (auto& collider : c->colliders | std::views::keys)
-        AddCollider(&collider);
-    }
-
-    isRigidBody = false;
-  }
-
-  void SHPhysicsObject::DestroyCollisionBody() noexcept
-  {
-    // Remove all colliders
-    for (uint32_t i = 0; i < rp3dBody->getNbColliders(); ++i)
-    {
-      auto* collider = rp3dBody->getCollider(i);
-      rp3dBody->removeCollider(collider);
-    }
-  }
-
   void SHPhysicsObject::RemoveCollider(int index)
   {
     const int NUM_COLLIDERS = static_cast<int>(rp3dBody->getNbColliders());
diff --git a/SHADE_Engine/src/Physics/SHPhysicsObject.h b/SHADE_Engine/src/Physics/SHPhysicsObject.h
index 39a85421..67e5ec64 100644
--- a/SHADE_Engine/src/Physics/SHPhysicsObject.h
+++ b/SHADE_Engine/src/Physics/SHPhysicsObject.h
@@ -69,13 +69,8 @@ namespace SHADE
     /* Function Members                                                                */
     /*---------------------------------------------------------------------------------*/
 
-    void  CreateRigidBody       (const SHTransformComponent* tf, SHRigidBodyComponent* rb, SHColliderComponent* c);
-    void  CreateCollisionBody   (const SHTransformComponent* tf, SHColliderComponent* c);
     int   AddCollider           (SHCollider* collider);
-
-    void  DestroyRigidBody      (SHColliderComponent* c)      noexcept;
     void  RemoveCollider        (int index);
-    void  DestroyCollisionBody  ()                            noexcept;
 
     void  SyncRigidBody         (SHRigidBodyComponent* rb)    const noexcept;
     void  SyncColliders         (SHColliderComponent* c)      const noexcept;
@@ -86,8 +81,6 @@ namespace SHADE
     /*---------------------------------------------------------------------------------*/
 
     EntityID              entityID;
-    bool                  isRigidBody;
-    bool                  hasColliders;
 
     rp3d::PhysicsCommon*  factory;
     rp3d::PhysicsWorld*   world;
